import { BaseXform } from "../base-xform.js";
interface HeaderFooterModel {
    differentFirst?: boolean;
    differentOddEven?: boolean;
    oddHeader?: string;
    oddFooter?: string;
    evenHeader?: string;
    evenFooter?: string;
    firstHeader?: string;
    firstFooter?: string;
}
declare class HeaderFooterXform extends BaseXform {
    private currentNode?;
    get tag(): string;
    render(xmlStream: any, model?: HeaderFooterModel): void;
    parseOpen(node: any): boolean;
    parseText(text: string): void;
    parseClose(): boolean;
}
export { HeaderFooterXform };
